/*******************************
 *          __                   
 *         /\ \                  
 *  __  _  \_\ \     __    ___   
 * /\ \/'\ /'_' \  /'__'\ /'___\ 
 * \/>  <//\ \ \ \/\  __//\ \__/ 
 *  /\_/\_\ \___,_\ \____\ \____\
 *  \//\/_/\/__,_ /\/____/\/____/
 * 
 *  Author: declis (xdec.de)
 ********************************/ 

unsigned char bit_test(unsigned char,unsigned char*);
const char bit_value[]={1,2,4,8,10,20,40,80};
unsigned char value,i;

unsigned char bit_decode(unsigned char bit_start,unsigned char bit_end,unsigned char *array)
{
	value=0;i=0;
	
	while(bit_start<=bit_end)
	{
		if(bit_test(bit_start,array))
			value+=bit_value[i];
		i++;
		bit_start++;
	}
	return value;
}

unsigned char parity_test(unsigned char bit_start,unsigned char bit_end,unsigned char *array)
{
	i=0;value=bit_test(bit_end,array);
	
	while(bit_start<bit_end)
	{
		if(bit_test(bit_start,array))
			i++;
		bit_start++;
	}
	
	if(i%2==value) // even parity => paritybit = 0
		return 0;
	return 1;
}

unsigned char bit_test(unsigned char bit_num,unsigned char *array)
{
	if(array[bit_num/8]&(1<<bit_num%8))
		return 1;
	return 0;
}
