/*******************************
 *          __                   
 *         /\ \                  
 *  __  _  \_\ \     __    ___   
 * /\ \/'\ /'_' \  /'__'\ /'___\ 
 * \/>  <//\ \ \ \/\  __//\ \__/ 
 *  /\_/\_\ \___,_\ \____\ \____\
 *  \//\/_/\/__,_ /\/____/\/____/
 * 
 *  Author: declis (xdec.de)
 ********************************/ 

#ifndef LIB_DCF77_H_
#define LIB_DCF77_H_

#define dcf_d_port		0x0002		// "DCF77 Data Port" at P1.1

#define sig_sym_x		1			// signal symbol x-pos
#define sig_sym_y		0			// signal symbol y-pos
#define sig_sym			2			// signal symbol at address 0x02 (ascii_char.h)
#define antenna_sym		1			// antenna symbol at address 0x01 (ascii_char.h)

const char day_name[][3]={"MO","DI","MI","DO","FR","SA","SO"};
const char wait_sync[]={"wait sync"};

unsigned char bit_decode(unsigned char,unsigned char,unsigned char*);
unsigned char parity_test(unsigned char,unsigned char,unsigned char*);

#endif /*LIB_DCF77_H_*/
